package com.liquidnet.service.sweet.vo;

import com.liquidnet.service.sweet.entity.SweetDoudou;
import com.liquidnet.service.sweet.entity.SweetDoudouScope;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class SweetDouDouScopeVo implements Serializable, Cloneable{

    @ApiModelProperty("mobile")
    private String mobile;

    @ApiModelProperty("nickName")
    private String nickName;

    @ApiModelProperty("realName")
    private String realName;

    @ApiModelProperty("idCard")
    private String idCard;

    @ApiModelProperty("status")
    private Integer status;

    @ApiModelProperty("createdAt")
    private LocalDateTime createdAt;

    @ApiModelProperty("updatedAt")
    private LocalDateTime updatedAt;

    private static final SweetDouDouScopeVo obj = new SweetDouDouScopeVo();


    public static SweetDouDouScopeVo getNew() {
        try {
            return (SweetDouDouScopeVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetDouDouScopeVo();
        }
    }
}
